Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040637
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Copy Retail Storemajoralways2019-04-17 19:402019-05-10 14:39
ReportermartinsdanView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionc30c883eebe1
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version11
OS VersionUbuntu 18.04.1 LTSDatabase version10.6Ant version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040637: Copy Retail Store process does not show the success screen

DescriptionThe Copy Retail Store gets frozen on the processing screen when the store name contains quotation marks.
This may apply to other entities being cloned as well.
The process finishes and everything is cloned, but there is an error rendering the log in the browser.
Steps To Reproduce- Go to https://livebuilds.openbravo.com/retail_modules_pgsql_pi [^]
- Login as The White Valley Group Admin
- Go to the Organization window and change the name of Yosemite Store to Yosemite Store "YS"
- Go to Copy Retail Store and try to copy Yosemite Store "YS"

The processing screen will never disappear. You can see a JS error.
Proposed SolutionTake care of special characters on CopyStoreProcess.getLog()
TagsNo tags attached.
Attached Filespng file icon Screenshot 2019-04-17 18.28.31.png [^] (171,668 bytes) 2019-04-17 19:40

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111550)
hgbot (developer)
2019-05-07 20:26

Repository: erp/pmods/org.openbravo.retail.copystore
Changeset: c30c883eebe12fece57660beefe7f77ce280a896
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue May 07 14:25:36 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/c30c883eebe12fece57660beefe7f77ce280a896 [^]

Fixed issue 40637: Copy Retail Store process does not show the success screen

- Msg string with Java escape characters inserted

---
M src/org/openbravo/retail/copystore/process/CopyStoreProcess.java
---

- Issue History
Date Modified Username Field Change
2019-04-17 19:40 martinsdan New Issue
2019-04-17 19:40 martinsdan Assigned To => Retail
2019-04-17 19:40 martinsdan File Added: Screenshot 2019-04-17 18.28.31.png
2019-04-17 19:40 martinsdan Triggers an Emergency Pack => No
2019-04-25 14:54 rqueralta Assigned To Retail => rqueralta
2019-04-25 14:54 rqueralta Status new => scheduled
2019-05-07 20:26 hgbot Checkin
2019-05-07 20:26 hgbot Note Added: 0111550
2019-05-07 20:26 hgbot Status scheduled => resolved
2019-05-07 20:26 hgbot Resolution open => fixed
2019-05-07 20:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.copystore/rev/c30c883eebe12fece57660beefe7f77ce280a896 [^]
2019-05-10 14:39 marvintm Review Assigned To => marvintm
2019-05-10 14:39 marvintm Status resolved => closed
2019-05-10 14:39 marvintm Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker